## ubuntu-dev-tools 0.161

=== debian/changelog ===
ubuntu-dev-tools (0.161) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * [939c2a2] Bump Standards-Version to 4.0.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 18 Jul 2017 07:38:01 +0200

ubuntu-dev-tools (0.160) experimental; urgency=medium

  * [798a36c] subprocess: Use getfullargspec on python3.  Closes: #867901

 -- Iain Lane <laney@ubuntu.com>  Tue, 13 Jun 2017 10:14:14 +0100

ubuntu-dev-tools (0.159) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * [1c6b989] Move packaging to git.
  * [3c138f6] Bump Standards-Version to 3.9.8, no changes needed.
  * [88fbffa] Bump debhelper compat level to 10.

  [ Unit 193 ]
  * [f67601c] mk-sbuild, pull-debian-{debdiff,source}: Switch from
    httpredir.debian.org to deb.debian.org as the default mirror for Debian.

  [ Ursula Junque (Ursinha) ]
  * [6fea8fb] Fix behavior of getBinaryPackage in lpapicache.  It was using
    the same parameters to get Source and Binary packages build history, but
    source packages need a distro series, and binary packages need distro arch
    series, as the results are arch dependent.

  [ Anatoly Techtonik ]
  * [bf52bd6] backportpackage: improve python3 compatibility.

  [ Benjamin Drung ]
  * [6ee0915] Add .gitignore
  * [ba16daf] Repair pylint test case.  The --include-ids parameter was
    dropped from pylint and thus the command failed as was skipped. Repair the
    pylint check and add support for Python 3.
  * [67c353d] Raise maximum line length to 99
  * [3a6cd3a] Fix pylint3 error (for Python 2 support code)
  * [cc7170e] Fix all flake8 issues
  * [18ae4d8] Add flake8 check to test suite

  [ Mattia Rizzolo ]
  * [001d108] Recommend cowbuilder, not cowdancer.

  [ Iain Lane ]
  * [a6043a6] Remove the `harvest' command, and all other integration with the
    Harvest service, since it has been shut down.
  * [4471193] ubuntu-build: Pass the pocket through to the archive permission
    check. So that we can retry builds in releases where the release pocket is
    frozen - for example so that backporters can retry backports builds.
  * [179f45c] Add some more ignores for pylint. It doesn't work very well
    with apt_pkg.
  * [44dc0a9] debian/gbp.conf: Add gbp-dch configuration
  * [d41602b] debian/README.source: Add with some instructions about changelog
  * [0a3738c] Fix some 2/3 differences and run pylint with confidence=HIGH.
    Too many false positives otherwise.

 -- Iain Lane <laney@ubuntu.com>  Tue, 30 May 2017 11:23:48 +0100

=== debian/control ===
Source: ubuntu-dev-tools
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-dev-team@lists.alioth.debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>,
           Stefano Rivera <stefanor@debian.org>
Build-Depends: dctrl-tools,
               debhelper (>= 10),
               devscripts (>= 2.11.0~),
               dh-python,
               distro-info (>= 0.2~),
               libwww-perl,
               lsb-release,
               pylint,
               pylint3,
               python-all (>= 2.6.5-13~),
               python-apt (>= 0.7.93~),
               python-debian (>= 0.1.20~),
               python-distro-info (>= 0.4~),
               python-flake8,
               python-httplib2,
               python-launchpadlib (>= 1.5.7),
               python-mock,
               python-setuptools,
               python-soappy,
               python-unittest2,
               python3-all,
               python3-apt,
               python3-debian,
               python3-distro-info,
               python3-flake8,
               python3-httplib2,
               python3-launchpadlib,
               python3-mock,
               python3-setuptools
Standards-Version: 4.0.0
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools
Homepage: https://launchpad.net/ubuntu-dev-tools

Package: ubuntu-dev-tools
Architecture: all
Depends: binutils,
         dctrl-tools,
         devscripts (>= 2.11.0~),
         diffstat,
         distro-info (>= 0.2~),
         dpkg-dev,
         lsb-release,
         python-apt (>= 0.7.93~),
         python-debian (>= 0.1.20~),
         python-distro-info (>= 0.4~),
         python-httplib2,
         python-launchpadlib (>= 1.5.7),
         python-lazr.restfulclient,
         python-ubuntutools,
         sudo,
         ${misc:Depends},
         ${perl:Depends},
         ${python:Depends}
Recommends: bzr,
            bzr-builddeb,
            ca-certificates,
            debian-archive-keyring,
            debian-keyring,
            debootstrap,
            dput,
            genisoimage,
            libwww-perl,
            lintian,
            patch,
            pbuilder | cowbuilder | sbuild,
            python-dns,
            python-soappy,
            quilt,
            reportbug (>= 3.39ubuntu1)
Suggests: python-simplejson | python (>= 2.7), qemu-user-static
Description: useful tools for Ubuntu developers
 This is a collection of useful tools that Ubuntu developers use to make their
 packaging work a lot easier.
 .
 Such tools include:
 .
  - 404main - used to check what components a package's deps are in, for
    doing a main inclusion report for example.
  - backportpackage - helper to test package backports
  - bitesize - add the 'bitesize' tag to a bug and comment that you are
    willing to help fix it.
  - check-mir - check support status of build/binary dependencies
  - check-symbols - will compare and give you a diff of the exported symbols of
    all .so files in a binary package.
  - dch-repeat - used to repeat a change log into an older release.
  - grab-merge - grabs a merge from merges.ubuntu.com easily.
  - grep-merges - search for pending merges from Debian.
  - hugdaylist - compile HugDay lists from bug list URLs.
  - import-bug-from-debian - copy a bug from the Debian BTS to Launchpad
  - merge-changelog - manually merges two Debian changelogs with the same base
    version.
  - mk-sbuild - script to create LVM snapshot chroots via schroot and
    sbuild.
  - pbuilder-dist, cowbuilder-dist - wrapper script for managing several build
    chroots (for different Ubuntu and Debian releases) on the same system.
  - pull-debian-debdiff - attempts to find and download a specific version of
    a Debian package and its immediate parent to generate a debdiff.
  - pull-debian-source - downloads the latest source package available in
    Debian of a package.
  - pull-lp-source - downloads latest source package from Launchpad.
  - pull-revu-source - downloads the latest source package from REVU
  - requestbackport - file a backporting request.
  - requestsync - files a sync request with Debian changelog and rationale.
  - reverse-depends - find the reverse dependencies (or build dependencies) of
    a package.
  - seeded-in-ubuntu - query if a package is safe to upload during a freeze.
  - setup-packaging-environment - assistant to get an Ubuntu installation
    ready for packaging work.
  - sponsor-patch - Downloads a patch from a Launchpad bug, patches the source
    package, and uploads it (to Ubuntu or a PPA)
  - submittodebian - automatically send your changes to Debian as a bug report.
  - syncpackage - helper to prepare .changes file to upload synced packages
  - ubuntu-build - give commands to the Launchpad build daemons from the
    command line.
  - ubuntu-iso - output information of an Ubuntu ISO image.
  - ubuntu-upload-permission - query / list the upload permissions for a
    package.
  - update-maintainer - script to update maintainer field in ubuntu packages.

Package: python-ubuntutools
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}
Breaks: ubuntu-dev-tools (<< 0.154)
Replaces: ubuntu-dev-tools (<< 0.154)
Description: useful library of APIs for Ubuntu developer tools (Python 2)
 This package ships a collection of APIs, helpers and wrappers used to
 develop useful utilities for Ubuntu developers.
 .
 Python 2 variant.

Package: python3-ubuntutools
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}
Description: useful library of APIs for Ubuntu developer tools
 This package ships a collection of APIs, helpers and wrappers used to
 develop useful utilities for Ubuntu developers.
 .
 Python 3 variant.

## ubuntu-dev-tools 0.164

=== debian/changelog ===
ubuntu-dev-tools (0.164) unstable; urgency=medium

  * mk-sbuild: Initialise ubuntu_dist_ge vars so unknown releases work.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Apr 2018 05:24:43 -0600

ubuntu-dev-tools (0.163) unstable; urgency=medium

  * mk-sbuild: Add ubuntu_dist_ge and use it to set BUILD_PKGS for Ubuntu.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Apr 2018 05:11:18 -0600

ubuntu-dev-tools (0.162) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Team upload.
  * Fix test failures with newer flake8 and pylint.  Closes: #891721
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Set Rules-Requires-Root:no.
  * Drop superseded X-Python(3)-Version fields.
  * Add a dependency on sensible-utils, as we use sensible-editor(1).
  * Change Maintainer address to ubuntu-dev-tools@packages.debian.org, to
    assist with the alioth deprecation.

  [ Dimitri John Ledkov ]
  * mk-sbuild: add support for 'overlay' in favor of older 'overlayfs'.

  [ Scott Kitterman ]
  * pbuilder-dist: add a --backports option to make it easier to build for
    backports when dependencies from backports are needed.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 05 Apr 2018 18:58:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ubuntu-dev-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-dev-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-dev-tools@packages.debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>,
            Stefano Rivera <stefanor@debian.org>
 Build-Depends: dctrl-tools,
@@ -33,9 +33,8 @@
                python3-launchpadlib,
                python3-mock,
                python3-setuptools
-Standards-Version: 4.0.0
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Standards-Version: 4.1.4
+Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
 Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools
 Homepage: https://launchpad.net/ubuntu-dev-tools
@@ -56,6 +55,7 @@
          python-launchpadlib (>= 1.5.7),
          python-lazr.restfulclient,
          python-ubuntutools,
+         sensible-utils,
          sudo,
          ${misc:Depends},
          ${perl:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ubuntutools

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mkdir -p debian/ubuntu-dev-tools/usr
	mv debian/python-ubuntutools/usr/bin debian/ubuntu-dev-tools/usr/
	mv debian/python-ubuntutools/usr/share debian/ubuntu-dev-tools/usr/

## ubuntu-dev-tools 0.165

=== debian/changelog ===
ubuntu-dev-tools (0.165) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compat level to 11.
  * Fix FTBFS due to newest tar being picker about arguments order.
    Closes: #897478

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 10 May 2018 10:40:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Benjamin Drung <bdrung@debian.org>,
            Stefano Rivera <stefanor@debian.org>
 Build-Depends: dctrl-tools,
-               debhelper (>= 10),
+               debhelper (>= 11),
                devscripts (>= 2.11.0~),
                dh-python,
                distro-info (>= 0.2~),

## ubuntu-dev-tools 0.166

=== debian/changelog ===
ubuntu-dev-tools (0.166) unstable; urgency=medium

  * Team upload.

  [ Felipe Reyes ]
  * pbuilder-dist:
    + Fix handling of --othermirror when a local archive found.  LP: #1314076

  [ Jelmer Vernooĳ ]
  * Recommend Bazaar (brz) or Breezy (brz); the latter provides a
    command-line compatible interface.

  [ Mathieu Trudel-Lapierre ]
  * Add a new tool "ubuntu-archive-assistant" tool for
    proposed-migration / mir review.  More information on:
    https://lists.ubuntu.com/archives/ubuntu-devel/2018-September/040492.html
    The tool is not currently installed, see the launchpad bug #1799568.

  [ Benjamin Drung ]
  * ubuntutools/test: Introduce get_source_files helper function.
  * Update pylint and flake8 unittests.
  * Fix invalid escape sequences '\(' or '\)'.  Closes: #911689

  [ Mattia Rizzolo ]
  * Add missing dependencies on sensible-utils (thanks lintian!).
  * wrap-and-sort -ast.
  * Bump Standards-Version to 4.2.1, no changes needed.
  * Use the new debhelper-compat(=11) notation and drop d/compat.
  * Clarify package descriptions for Python libraries.
    Thanks to Ben Finney for the patch.  Closes: #804198, #804199
  * Add a recommends on ubuntu-keyring | ubuntu-archive-keyring.
    Closes: #838254
  * mk-sbuild: disable recommends also within the chroot.
    Thanks to Steve Beattie for the patch.  LP: #1268684

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 23 Oct 2018 22:08:04 +0200

## ubuntu-dev-tools 0.166+nmu1

=== debian/changelog ===
ubuntu-dev-tools (0.166+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:56:26 +0800

=== debian/control ===
Source: ubuntu-dev-tools
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-dev-tools@packages.debian.org>
Uploaders:
 Benjamin Drung <bdrung@debian.org>,
 Stefano Rivera <stefanor@debian.org>,
Build-Depends:
 dctrl-tools,
 debhelper-compat (= 11),
 devscripts (>= 2.11.0~),
 dh-python,
 distro-info (>= 0.2~),
 libwww-perl,
 lsb-release,
 pylint,
 pylint3,
 python-all (>= 2.6.5-13~),
 python-apt (>= 0.7.93~),
 python-debian (>= 0.1.20~),
 python-distro-info (>= 0.4~),
 python-flake8,
 python-httplib2,
 python-launchpadlib (>= 1.5.7),
 python-mock,
 python-setuptools,
 python-soappy,
 python-unittest2,
 python3-all,
 python3-apt,
 python3-debian,
 python3-distro-info,
 python3-flake8,
 python3-httplib2,
 python3-launchpadlib,
 python3-mock,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-termcolor <!nocheck>,
 python3-yaml <!nocheck>,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools
Homepage: https://launchpad.net/ubuntu-dev-tools

Package: ubuntu-dev-tools
Architecture: all
Depends:
 binutils,
 dctrl-tools,
 devscripts (>= 2.11.0~),
 diffstat,
 distro-info (>= 0.2~),
 dpkg-dev,
 lsb-release,
 python-apt (>= 0.7.93~),
 python-debian (>= 0.1.20~),
 python-distro-info (>= 0.4~),
 python-httplib2,
 python-launchpadlib (>= 1.5.7),
 python-lazr.restfulclient,
 python-ubuntutools,
 sensible-utils,
 sudo,
 ${misc:Depends},
 ${perl:Depends},
 ${python:Depends},
Recommends:
 bzr | brz,
 bzr-builddeb | brz-debian,
 ca-certificates,
 debian-archive-keyring,
 debian-keyring,
 debootstrap,
 dput,
 genisoimage,
 libwww-perl,
 lintian,
 patch,
 pbuilder | cowbuilder | sbuild,
 python-dns,
 python-soappy,
 quilt,
 reportbug (>= 3.39ubuntu1),
 ubuntu-keyring | ubuntu-archive-keyring,
Suggests:
 python-simplejson | python (>= 2.7),
 qemu-user-static,
Description: useful tools for Ubuntu developers
 This is a collection of useful tools that Ubuntu developers use to make their
 packaging work a lot easier.
 .
 Such tools include:
 .
  - 404main - used to check what components a package's deps are in, for
    doing a main inclusion report for example.
  - backportpackage - helper to test package backports
  - bitesize - add the 'bitesize' tag to a bug and comment that you are
    willing to help fix it.
  - check-mir - check support status of build/binary dependencies
  - check-symbols - will compare and give you a diff of the exported symbols of
    all .so files in a binary package.
  - dch-repeat - used to repeat a change log into an older release.
  - grab-merge - grabs a merge from merges.ubuntu.com easily.
  - grep-merges - search for pending merges from Debian.
  - hugdaylist - compile HugDay lists from bug list URLs.
  - import-bug-from-debian - copy a bug from the Debian BTS to Launchpad
  - merge-changelog - manually merges two Debian changelogs with the same base
    version.
  - mk-sbuild - script to create LVM snapshot chroots via schroot and
    sbuild.
  - pbuilder-dist, cowbuilder-dist - wrapper script for managing several build
    chroots (for different Ubuntu and Debian releases) on the same system.
  - pull-debian-debdiff - attempts to find and download a specific version of
    a Debian package and its immediate parent to generate a debdiff.
  - pull-debian-source - downloads the latest source package available in
    Debian of a package.
  - pull-lp-source - downloads latest source package from Launchpad.
  - pull-revu-source - downloads the latest source package from REVU
  - requestbackport - file a backporting request.
  - requestsync - files a sync request with Debian changelog and rationale.
  - reverse-depends - find the reverse dependencies (or build dependencies) of
    a package.
  - seeded-in-ubuntu - query if a package is safe to upload during a freeze.
  - setup-packaging-environment - assistant to get an Ubuntu installation
    ready for packaging work.
  - sponsor-patch - Downloads a patch from a Launchpad bug, patches the source
    package, and uploads it (to Ubuntu or a PPA)
  - submittodebian - automatically send your changes to Debian as a bug report.
  - syncpackage - helper to prepare .changes file to upload synced packages
  - ubuntu-build - give commands to the Launchpad build daemons from the
    command line.
  - ubuntu-iso - output information of an Ubuntu ISO image.
  - ubuntu-upload-permission - query / list the upload permissions for a
    package.
  - update-maintainer - script to update maintainer field in ubuntu packages.

Package: python-ubuntutools
Architecture: all
Section: python
Depends:
 sensible-utils,
 ${misc:Depends},
 ${python:Depends},
Breaks:
 ubuntu-dev-tools (<< 0.154),
Replaces:
 ubuntu-dev-tools (<< 0.154),
Description: useful APIs for Ubuntu developer tools — Python 2 library
 This package ships a collection of APIs, helpers and wrappers used to
 develop useful utilities for Ubuntu developers.
 .
 This package installs the library for Python 2.

Package: python3-ubuntutools
Architecture: all
Section: python
Depends:
 sensible-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: useful APIs for Ubuntu developer tools — Python 3 library
 This package ships a collection of APIs, helpers and wrappers used to
 develop useful utilities for Ubuntu developers.
 .
 This package installs the library for Python 3.

## ubuntu-dev-tools 0.169

=== debian/changelog ===
ubuntu-dev-tools (0.169) unstable; urgency=medium

  [ Colin Watson ]
  * mk-sbuild:
    + Set personality=linux32 by default on armel and armhf as well.

  [ Sahid Orentino Ferdjaoui ]
  * reverse-depends:
    + New ability to find reverse-depends recursively, and print a tree.

  [ Mattia Rizzolo ]
  * d/control:
    + Add myself to uploaders.
    + Bump Standards-Version to 4.4.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 20 Jul 2019 11:18:00 +0200

ubuntu-dev-tools (0.168) eoan; urgency=medium

  * grep-merges: flake8-clean.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 May 2019 21:26:05 -0700

ubuntu-dev-tools (0.167) eoan; urgency=medium

  [ Colin Watson ]
  * syncpackage:
    + Support wildcards in sync-blacklist (LP: #1807992).

  [ Steve Langasek ]
  * grep-merges:
    + support grepping by team name (full name match) now that MoM exposes
      this

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 May 2019 18:53:46 -0700

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Benjamin Drung <bdrung@debian.org>,
  Stefano Rivera <stefanor@debian.org>,
+ Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  dctrl-tools,
  debhelper-compat (= 11),
@@ -38,7 +39,7 @@
  python3-setuptools,
  python3-termcolor <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
 Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools

## ubuntu-dev-tools 0.170

=== debian/changelog ===
ubuntu-dev-tools (0.170) unstable; urgency=medium

  [ Robie Basak ]
  * pull-debian-source:
    + Add a new --no-verify-signature option option, to download a source
      package without checking its signature.
    + Port to Python 3.  LP: #1700846

  [ Mattia Rizzolo ]
  * d/control:
    + Bump debhelper compat level to 12.
  * reverse-depends:
    + prevent crash when specifying a specific architecture.  Closes: #933018
  * ubuntutools/archive:
    + Default to checking signatures while pulling a .dsc.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Aug 2019 13:28:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  dctrl-tools,
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  devscripts (>= 2.11.0~),
  dh-python,
  distro-info (>= 0.2~),

## ubuntu-dev-tools 0.173ubuntu1

=== debian/changelog ===
ubuntu-dev-tools (0.173ubuntu1) eoan; urgency=medium

  * Revert changes in 0.173, too much stuff broke in Ubuntu
    LP: #1843543

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Sep 2019 21:27:03 +0200

ubuntu-dev-tools (0.172) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * autopkgtest: Add a allow-stderr restriction, as things log to stderr.

  [ Stefano Rivera ]
  * Build-Depend on pylint (>= 2, the Python 3 version), it replaced pylint3.
  * Explicitly declare python dependencies in the python library modules (the
    setup.py doesn't provide these) and ubuntu-dev-tools itself.
  * dh_python2 doesn't generate a python dependency in ubuntu-dev-tools, now
    that it's scripts-only, so manually declare one.
  * Install pull-debian-source as python 3. It was ported, and doesn't work
    under python 2 any more.  LP: #1841127
  * Use dh_install to split the build into multiple binary packages.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Sep 2019 08:44:51 +0200

ubuntu-dev-tools (0.171) unstable; urgency=medium

  * Add an autopkgtest running the package tests.
    Currently it runs the tests directly over the sources, instead of the
    installed package.
  * ubuntutools/archive: Disable dsc signature verification for non-Debian.
    Ubuntu doesn't have a unified keyring of developers like Debian has, so
    it is not feasible to check for the dsc signatures.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 12 Aug 2019 13:42:31 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,7 @@
  distro-info (>= 0.2~),
  libwww-perl,
  lsb-release,
- pylint,
- pylint3,
+ pylint (>= 2),
  python-all (>= 2.6.5-13~),
  python-apt (>= 0.7.93~),
  python-debian (>= 0.1.20~),
@@ -55,6 +54,7 @@
  distro-info (>= 0.2~),
  dpkg-dev,
  lsb-release,
+ python,
  python-apt (>= 0.7.93~),
  python-debian (>= 0.1.20~),
  python-distro-info (>= 0.4~),
@@ -62,11 +62,13 @@
  python-launchpadlib (>= 1.5.7),
  python-lazr.restfulclient,
  python-ubuntutools,
+ python3,
+ python3-distro-info,
+ python3-ubuntutools,
  sensible-utils,
  sudo,
  ${misc:Depends},
  ${perl:Depends},
- ${python:Depends},
 Recommends:
  bzr | brz,
  bzr-builddeb | brz-debian,
@@ -141,6 +143,10 @@
 Architecture: all
 Section: python
 Depends:
+ python-debian,
+ python-distro-info,
+ python-httplib2,
+ python-launchpadlib,
  sensible-utils,
  ${misc:Depends},
  ${python:Depends},
@@ -158,6 +164,10 @@
 Architecture: all
 Section: python
 Depends:
+ python3-debian,
+ python3-distro-info,
+ python3-httplib2,
+ python3-launchpadlib,
  sensible-utils,
  ${misc:Depends},
  ${python3:Depends},

## ubuntu-dev-tools 0.175~18.04.3

=== debian/changelog ===
ubuntu-dev-tools (0.175~18.04.3) bionic-security; urgency=medium

  * No change rebuild in favor of sbuild-launchpad-chroot that was FTBFS
    without it.

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 23 Nov 2022 14:29:02 -0300

ubuntu-dev-tools (0.175~18.04.2) bionic; urgency=medium

  * Really restore python-ubuntudevtools package. (LP: #1892879, LP: #1864571)

 -- Brian Murray <brian@ubuntu.com>  Mon, 30 Nov 2020 13:42:33 -0800

ubuntu-dev-tools (0.175~18.04.1) bionic; urgency=medium

  * Backport to bionic. (LP: #1864571)
  * Relax debhelper dependency.
  * Restore (and test) python-ubuntudevtools package.
  * Invoke pylint in python/python3 agnostic way.
  * Sundry changes to restore Python 2 compatibility.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 17 Feb 2020 21:15:26 +1300

ubuntu-dev-tools (0.175) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Trust the installed debian-keyring when checking validity of dsc
    signatures.
  * requestbackport:
    + Error out nicely when a tracking project doesn't exist.  LP: #1852901
  * d/control: Bump Standards-Version to 4.4.1, no changes needed.

  [ Stefano Rivera ]
  * merge-changelog: rewrite the changelog handling to use python3-debian.

  [ Dan Streetman ]
  * tests/pylint.conf: use jobs=0 to speed up tests.
  * submittodebian: use a context manager while opening a file.
  * d/control: add dependency on python3-lazr.restfulclient.
  * Big refactor/rewrite of the whole archive.py module, together with a
    restracturing of all the pull-pkg-* commands.
  * Unify the logging using the standard python logging module, and remove the
    local ubuntutools.logger module.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 01 Dec 2019 19:36:23 +0100

ubuntu-dev-tools (0.174) unstable; urgency=medium

  [ Stefano Rivera ]
  * reverse-depends:
    + Support reverse test dependencies as well.  LP: #1843614
  * ubuntutools.misc:
    + Replace Popen() calls with check_output().  Closes: #940040
    + Use a context manager to open file, to be sure to close them.

  [ Dan Streetman ]
  * Update setup.py to also use python3.
  * reverse-depends:
    + Move from optparse to argparse.
    + Rename the typoed --recursive-deph to --recursive-depth.
    + Use list comprehensions to simplify del-during-iteration functions.
  * import-bug-from-debian:
    + Migrate to argparge.
    + Add --verbose option.
    + Actually make --dry-run do a dry run.
    + Handle multiple bug numbers in the command line.
    + Correctly get the bug summary.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 26 Sep 2019 11:05:53 +0200

ubuntu-dev-tools (0.173) unstable; urgency=medium

  [ Stefano Rivera ]
  * pull-debian-debdiff:
    + Don't unpack the older source package, it will often use the same
      directory as the newer one, and break.
  * merge-changelog:
    + Use ubuntutools.version.Version, to support Python 3.
  * Drop 404main, it's been totally broken for years.
  * Port all the Python scripts to Python 3, and remove Python 2 support.
    Closes: #938740, LP: #1099537

  [ Dan Streetman ]
  * pull-pkg:
    + Use ubuntutools.version.Version which has strip_epoch() instead
      of debian.debian_support.Version.
  * Have ubuntu-dev-tools depend on the matching version of python3-ubuntutools.

  [ Scott Kitterman ]
  * Update requestsync to python3.  Closes: #927147

  [ Mattia Rizzolo ]
  * Explicitly require Python3 >= 3.6.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 10 Sep 2019 15:35:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,40 @@
 Source: ubuntu-dev-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-dev-tools@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-dev-tools@packages.debian.org>
 Uploaders:
  Benjamin Drung <bdrung@debian.org>,
  Stefano Rivera <stefanor@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  dctrl-tools,
- debhelper-compat (= 12),
+ debhelper (>= 11),
  devscripts (>= 2.11.0~),
  dh-python,
  distro-info (>= 0.2~),
  libwww-perl,
  lsb-release,
- pylint (>= 2),
- python-all (>= 2.6.5-13~),
- python-apt (>= 0.7.93~),
- python-debian (>= 0.1.20~),
- python-distro-info (>= 0.4~),
+ pylint,
+ pylint3,
+ python-all,
+ python-apt,
+ python-debian,
+ python-debianbts,
+ python-distro-info,
  python-flake8,
  python-httplib2,
- python-launchpadlib (>= 1.5.7),
+ python-launchpadlib,
  python-mock,
+ python-requests <!nocheck>,
  python-setuptools,
- python-soappy,
- python-unittest2,
+ python-six,
+ python-termcolor <!nocheck>,
+ python-yaml <!nocheck>,
  python3-all,
  python3-apt,
  python3-debian,
+ python3-debianbts,
  python3-distro-info,
  python3-flake8,
  python3-httplib2,
@@ -36,13 +42,15 @@
  python3-mock,
  python3-requests <!nocheck>,
  python3-setuptools,
+ python3-six,
  python3-termcolor <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
 Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools
 Homepage: https://launchpad.net/ubuntu-dev-tools
+X-Python3-Version: >= 3.6
 
 Package: ubuntu-dev-tools
 Architecture: all
@@ -54,17 +62,14 @@
  distro-info (>= 0.2~),
  dpkg-dev,
  lsb-release,
- python,
- python-apt (>= 0.7.93~),
- python-debian (>= 0.1.20~),
- python-distro-info (>= 0.4~),
- python-httplib2,
- python-launchpadlib (>= 1.5.7),
- python-lazr.restfulclient,
- python-ubuntutools,
  python3,
+ python3-apt,
+ python3-debian,
  python3-distro-info,
- python3-ubuntutools,
+ python3-httplib2,
+ python3-launchpadlib,
+ python3-lazr.restfulclient,
+ python3-ubuntutools (= ${binary:Version}),
  sensible-utils,
  sudo,
  ${misc:Depends},
@@ -82,13 +87,12 @@
  lintian,
  patch,
  pbuilder | cowbuilder | sbuild,
- python-dns,
- python-soappy,
+ python3-debianbts,
+ python3-dns,
  quilt,
  reportbug (>= 3.39ubuntu1),
  ubuntu-keyring | ubuntu-archive-keyring,
 Suggests:
- python-simplejson | python (>= 2.7),
  qemu-user-static,
 Description: useful tools for Ubuntu developers
  This is a collection of useful tools that Ubuntu developers use to make their
@@ -96,8 +100,6 @@
  .
  Such tools include:
  .
-  - 404main - used to check what components a package's deps are in, for
-    doing a main inclusion report for example.
   - backportpackage - helper to test package backports
   - bitesize - add the 'bitesize' tag to a bug and comment that you are
     willing to help fix it.
@@ -119,7 +121,13 @@
     a Debian package and its immediate parent to generate a debdiff.
   - pull-debian-source - downloads the latest source package available in
     Debian of a package.
-  - pull-lp-source - downloads latest source package from Launchpad.
+  - pull-lp-source - downloads source package from Launchpad.
+  - pull-lp-debs - downloads debs package(s) from Launchpad.
+  - pull-lp-ddebs - downloads dbgsym/ddebs package(s) from Launchpad.
+  - pull-lp-udebs - downloads udebs package(s) from Launchpad.
+  - pull-debian-* - same as pull-lp-* but for Debian packages.
+  - pull-uca-* - same as pull-lp-* but for Ubuntu Cloud Archive packages.
+  - pull-pkg - common script that provides above pull-* functionality.
   - pull-revu-source - downloads the latest source package from REVU
   - requestbackport - file a backporting request.
   - requestsync - files a sync request with Debian changelog and rationale.
@@ -147,13 +155,10 @@
  python-distro-info,
  python-httplib2,
  python-launchpadlib,
+ python-lazr.restfulclient,
  sensible-utils,
  ${misc:Depends},
  ${python:Depends},
-Breaks:
- ubuntu-dev-tools (<< 0.154),
-Replaces:
- ubuntu-dev-tools (<< 0.154),
 Description: useful APIs for Ubuntu developer tools — Python 2 library
  This package ships a collection of APIs, helpers and wrappers used to
  develop useful utilities for Ubuntu developers.
@@ -168,6 +173,7 @@
  python3-distro-info,
  python3-httplib2,
  python3-launchpadlib,
+ python3-lazr.restfulclient,
  sensible-utils,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -ex ; for i in $(pyversions -s) ; do "$i" setup.py test; done
Depends:
 @builddeps@,
Restrictions: allow-stderr

Test-Command: set -ex ; for i in $(py3versions -s) ; do "$i" setup.py test; done
Depends:
 @builddeps@,
Restrictions: allow-stderr

## ubuntu-dev-tools 0.175

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,20 @@
 Source: ubuntu-dev-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-dev-tools@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-dev-tools@packages.debian.org>
 Uploaders:
  Benjamin Drung <bdrung@debian.org>,
  Stefano Rivera <stefanor@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  dctrl-tools,
- debhelper (>= 11),
+ debhelper-compat (= 12),
  devscripts (>= 2.11.0~),
  dh-python,
  distro-info (>= 0.2~),
  libwww-perl,
  lsb-release,
- pylint,
- pylint3,
- python-all,
- python-apt,
- python-debian,
- python-debianbts,
- python-distro-info,
- python-flake8,
- python-httplib2,
- python-launchpadlib,
- python-mock,
- python-requests <!nocheck>,
- python-setuptools,
- python-six,
- python-termcolor <!nocheck>,
- python-yaml <!nocheck>,
+ pylint (>= 2),
  python3-all,
  python3-apt,
  python3-debian,
@@ -42,7 +26,6 @@
  python3-mock,
  python3-requests <!nocheck>,
  python3-setuptools,
- python3-six,
  python3-termcolor <!nocheck>,
  python3-yaml <!nocheck>,
 Standards-Version: 4.4.1
@@ -147,24 +130,6 @@
     package.
   - update-maintainer - script to update maintainer field in ubuntu packages.
 
-Package: python-ubuntutools
-Architecture: all
-Section: python
-Depends:
- python-debian,
- python-distro-info,
- python-httplib2,
- python-launchpadlib,
- python-lazr.restfulclient,
- sensible-utils,
- ${misc:Depends},
- ${python:Depends},
-Description: useful APIs for Ubuntu developer tools — Python 2 library
- This package ships a collection of APIs, helpers and wrappers used to
- develop useful utilities for Ubuntu developers.
- .
- This package installs the library for Python 2.
-
 Package: python3-ubuntutools
 Architecture: all
 Section: python

## ubuntu-dev-tools 0.176

=== debian/changelog ===
ubuntu-dev-tools (0.176) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.66.

  [ Mattia Rizzolo ]
  * pbuilder-dist:
    + Add support for riscv64.  LP: #1859277
  * d/control: Bump Standards-Version to 4.5.0, no changes needed.

  [ Colin Watson ]
  * Use +sourcefiles URLs where possible.  LP: #1860456

  [ Dan Streetman ]
  * submittodebian:
    + Open file in binary mode before writing utf-8 encoded bytes.  LP: #1863119
  * ubuntu-upload-permission:
    + Explicitly sort packagesets by name.  LP: #1862372
  * pullpkg:
    + For "-p list", show bpph arch for files built for 'all' arch.
  * archive.py:
    + If using local file, avoid error trying to copy file to itself.
    + Allow pull_binaries() to accept arch=None.
  * lpapicache:
    + Remove SPPH _have_all_binaries flag, as there are cases where it yield
      unexpected results.
    + Remove fallback_arch from getBinaries.
    + Allow getBinaries(arch=None) to get all archs.  LP: #1862286

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Feb 2020 13:03:21 +0100

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  python3-setuptools,
  python3-termcolor <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
 Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools

=== test-data/blank-example/debian/control ===
Source: example
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-dev-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1

Package: example
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Example package for testing purposes
 An example package used by the test suite. Useless.

=== debian/tests/control ===
Test-Command: set -ex ; for i in $(py3versions -s) ; do "$i" setup.py test; done
Depends:
 @builddeps@,
Restrictions: allow-stderr

## ubuntu-dev-tools 0.177

=== debian/changelog ===
ubuntu-dev-tools (0.177) unstable; urgency=medium

  [ Dan Streetman ]
  * Verify checksums for downloaded binary files
  * pullpkg: support pulling from Ubuntu upload queues

  [ Mattia Rizzolo ]
  * ubuntu-build:
    + Add support for riscv64.
  * syncpackge:
    + Fix the new flake8 E741.  Closes: #963310

  [ Bryce Harrington ]
  * update-maintainer:
    + Try to recurse upwards to find a valid debian directory.  LP: #1885233

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 28 Jun 2020 15:52:27 +0200

## ubuntu-dev-tools 0.180

=== debian/changelog ===
ubuntu-dev-tools (0.180) unstable; urgency=medium

  * Drop coverage in the autopkgtest, as python3-nose-cov is not in Debian.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 19 Feb 2021 12:12:33 +0100

ubuntu-dev-tools (0.179) unstable; urgency=medium

  [ Stefano Rivera ]
  * archive.py: Evaluate the filter() fixing Debian source history queries
    (LP: #1913330)

  [ Dan Streetman ]
  * allow running tests using tox
  * add autopkgtests to run tests
  * simplify/combine archive download functions
  * add support for private ppa by logging into lp
  * improve support for pull-uca-*
  * fix logging/printing output to stdout/stderr

 -- Dan Streetman <ddstreet@canonical.com>  Mon, 01 Feb 2021 11:59:03 -0500

ubuntu-dev-tools (0.178) unstable; urgency=medium

  [ Dan Streetman ]
  * pullpkg: also catch and deal with InvalidPullValueError.  LP: #1908770

  [ Mattia Rizzolo ]
  * d/control: Bump Standards-Version to 4.5.1, no changes needed.
  * ubuntu-archive-assistant/mir: Fix a SyntaxWarning.
  * backportpackage:
    + Add a -e/--message option to change the default "No-change"
      in "No-change backport to DIST".
      Thanks to Unit 193 for the initial patch.

  [ You-Sheng Yang ]
  * Add a dependency on tzdata, used by mk-sbuild.

  [ Logan Rosen ]
  * import-bug-from-debian:
    + Limit bug description length to 50k chars to support Launchpad's limits.
      LP: #1193941

  [ Dimitri John Ledkov ]
  * pullpkg.py: fix --mirror option parsing.
  * config.py: add UBUNTU_INTERNAL_MIRROR option, for launchpad internal
    mirror.
  * archive.py: use Regular, Ports, and Internal mirrors by default. Thus
    enabling pull-lp-debs to work with ports architectures, and inside
    launchpad builds too.

  [ Michael R. Crusoe ]
  * pbuilder-dist:
    + Use `arch-test` to determine whether the current system can run binaries
      of the requested architecture, instead of hardcoding an ever-growing
      list of whether something requires qemu or not.  Add the "arch-test"
      package to Recommends to that effect.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 25 Jan 2021 23:28:24 +0000

=== debian/control ===
--- 
+++ 
@@ -12,23 +12,19 @@
  devscripts (>= 2.11.0~),
  dh-python,
  distro-info (>= 0.2~),
- libwww-perl,
  lsb-release,
- pylint (>= 2),
  python3-all,
  python3-apt,
  python3-debian,
  python3-debianbts,
  python3-distro-info,
- python3-flake8,
  python3-httplib2,
  python3-launchpadlib,
- python3-mock,
  python3-requests <!nocheck>,
  python3-setuptools,
  python3-termcolor <!nocheck>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/ubuntu-dev-tools
 Vcs-Browser: https://git.launchpad.net/ubuntu-dev-tools
@@ -44,10 +40,12 @@
  diffstat,
  distro-info (>= 0.2~),
  dpkg-dev,
+ dput,
  lsb-release,
  python3,
  python3-apt,
  python3-debian,
+ python3-debianbts,
  python3-distro-info,
  python3-httplib2,
  python3-launchpadlib,
@@ -55,9 +53,11 @@
  python3-ubuntutools (= ${binary:Version}),
  sensible-utils,
  sudo,
+ tzdata,
  ${misc:Depends},
  ${perl:Depends},
 Recommends:
+ arch-test,
  bzr | brz,
  bzr-builddeb | brz-debian,
  ca-certificates,
@@ -66,7 +66,6 @@
  debootstrap,
  dput,
  genisoimage,
- libwww-perl,
  lintian,
  patch,
  pbuilder | cowbuilder | sbuild,
@@ -111,7 +110,6 @@
   - pull-debian-* - same as pull-lp-* but for Debian packages.
   - pull-uca-* - same as pull-lp-* but for Ubuntu Cloud Archive packages.
   - pull-pkg - common script that provides above pull-* functionality.
-  - pull-revu-source - downloads the latest source package from REVU
   - requestbackport - file a backporting request.
   - requestsync - files a sync request with Debian changelog and rationale.
   - reverse-depends - find the reverse dependencies (or build dependencies) of

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_clean:
	dh_auto_clean
	rm -f .coverage
	rm -rf .tox

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: flake8 -v --max-line-length=99 --extend-exclude=ubuntu-archive-assistant,ubuntu_archive_assistant
Depends:
 flake8,
Restrictions: allow-stderr

Test-Command: nosetests3 -v ubuntutools
Depends:
 python3-nose,
 python3-setuptools,
 @,
Restrictions: allow-stderr

## ubuntu-dev-tools 0.183

=== requirements.txt ===
python-debian
python-debianbts
distro-info
httplib2
launchpadlib
requests
setuptools
termcolor
pyyaml

=== debian/changelog ===
ubuntu-dev-tools (0.183) unstable; urgency=medium

  [ Dan Streetman ]
  * pbuilder-dist: include missing import

 -- Stefano Rivera <stefanor@debian.org>  Tue, 08 Jun 2021 10:09:11 -0400

ubuntu-dev-tools (0.182) unstable; urgency=medium

  [ Dan Streetman ]
  * syncpackage, ubuntutools/archive.py:
    Don't save dsc file to disk until requested with pull()
    (LP: #1928946)
  * syncpackage:
    Don't login to LP if using --simulate
  * d/t/control: Add minimum flake8 version
    The --extend-exclude parameter is first available in flake8 3.8.0
  * ubuntutools/archive.py: Fix flake8 test failure
  * d/rules, d/control: Override build tests to use flake8 and nosetests3

  [ Stefano Rivera ]
  * Respect nocheck in DEB_BUILD_OPTIONS, again.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 06 Jun 2021 19:52:18 -0400

ubuntu-dev-tools (0.181) unstable; urgency=medium

  [ Logan Rosen ]
  * Fix a couple of remaining issues from the py2→py3 move.

  [ Krytarik Raido ]
  * Fix typo in the logging configuration.

  [ Dan Streetman ]
  * pbuilder: Handle debian change from /updates to -security.  LP: #1916633
    Starting in bullseye, the security suite is -security instead of /updates.
  * backportpackage: Don't use SourcePackage() directly.  Closes: #983854
    As the warning from 2010 says, don't use this class directly.

  [ Balint Reczey ]
  * mk-sbuild:
    + Use eatmydata only with the dpkg command.
      Eatmydata wrapping the build as well could break tests.
      Thanks to Julian Andres Klode for suggesting this solution
    + Use eatmydata by default.
      Since only the dpkg is wrapped in eatmydata it should be the safe and
      fast default. Eatmydata is widely used around apt thus it should be a
      serious bug if a package can't be installed with eatmydata in use.

  [ Marco Trevisan (Treviño) ]
  * doc/mk-sbuild.1: Add documentation for --debootstrap-proxy and
    DEBOOTSTRAP_PROXY.  LP: #1926166

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 02 May 2021 19:56:48 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  devscripts (>= 2.11.0~),
  dh-python,
  distro-info (>= 0.2~),
+ flake8 (>= 3.8.0),
  lsb-release,
  python3-all,
  python3-apt,
@@ -20,6 +21,7 @@
  python3-distro-info,
  python3-httplib2,
  python3-launchpadlib,
+ python3-nose,
  python3-requests <!nocheck>,
  python3-setuptools,
  python3-termcolor <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,11 @@
 	rm -f .coverage
 	rm -rf .tox
 
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	flake8 -v --max-line-length=99 --extend-exclude=ubuntu-archive-assistant,ubuntu_archive_assistant
+	nosetests3 -v ubuntutools
+endif
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Test-Command: flake8 -v --max-line-length=99 --extend-exclude=ubuntu-archive-assistant,ubuntu_archive_assistant
 Depends:
- flake8,
+ flake8 (>= 3.8.0),
 Restrictions: allow-stderr
 
 Test-Command: nosetests3 -v ubuntutools
